Summary:                The RARP daemon.
Name:                   rarpd
Version:                ss981107
Release:                2mdk
License:                GPL
Group:                  System/Servers
URL:                    ftp://ftp.inr.ac.ru/ip-routing/dhcp.bootp.rarp/
Source:                 rarpd-%{version}.tar.bz2
Patch0:                 rarpd-%{version}.patch.bz2
Patch1:                 rarpd-norun.patch.bz2
Patch2:                 rarpd-initscript.patch.bz2
Prereq:                 /sbin/chkconfig
BuildRoot:              %_tmppath/%{name}-%{version}-buildroot


%description
RARP (Reverse Address Resolution Protocol) is a protocol which allows
individual devices on an IP network to get their own IP addresses from the
RARP server.  Some machines (e.g. SPARC boxes) use this protocol instead
of e.g. DHCP to query their IP addresses during network bootup.
Linux kernels up to 2.2 used to provide a kernel daemon for this service,
but since 2.3 kernels it is served by this userland daemon.

You should install rarpd if you want to set up a RARP server on your
network.

%prep
%setup -q -n rarpd
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .initscript

%build
make CFLAGS="$RPM_OPTFLAGS -Wall"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

install -m 755 rarpd.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/rarpd
install -m 755 rarpd ${RPM_BUILD_ROOT}%{_sbindir}/rarpd
install -m 644 rarpd.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/rarpd.8

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/chkconfig --add rarpd

%preun
if [ "$1" = 0 ] ; then
  service rarpd stop >/dev/null 2>&1
  /sbin/chkconfig --del rarpd
fi

%postun
if [ "$1" -ge "1" ]; then
  service rarpd condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc README
%config /etc/rc.d/init.d/rarpd
%{_sbindir}/rarpd
%{_mandir}/man8/*

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com ss981107-2mdk
- rebuild

* Wed Jul 10 2002 Lenny Cartier <lenny@mandrakesoft.com> ss981107-1mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Initial package from rarpd-ss981107-9.src.rpm RedHat 7.3 package.
	- Remove 'Provide: rarpd' section.
	- Use Bz2 compression almost gz. 
